/*
 * asn_bool.h
 * 
 * MS 92 Copyright (C) 1992 Michael Sample and the University of British
 * Columbia
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * $Id: asn_bool.h,v 1.1 1993/11/01 17:03:51 irsuprt Exp irsuprt $
 * $Log: asn_bool.h,v $
 * Revision 1.1  1993/11/01  17:03:51  irsuprt
 * Initial revision
 *
 *
 */

#ifndef _asn_bool_h_
#define _asn_bool_h_

typedef unsigned char AsnBool;


AsnLen BEncAsnBool PROTO((BUF_TYPE b, AsnBool * data));

void BDecAsnBool 
PROTO((BUF_TYPE b, AsnBool * result, AsnLen * bytesDecoded,
       ENV_TYPE env));

    AsnLen BEncAsnBoolContent PROTO((BUF_TYPE b, AsnBool * data));

    void BDecAsnBoolContent PROTO((BUF_TYPE b,
                                    AsnTag tag,
                                    AsnLen len,
                                    AsnBool * result,
                                    AsnLen * bytesDecoded,
                                    ENV_TYPE env));

/* do nothing  */
#define FreeAsnBool(v)

    void PrintAsnBool PROTO((FILE * f, AsnBool * b, unsigned short int indent));
#endif
