/*
 * asn_null.h
 * 
 * MS 92 Copyright (C) 1992 Michael Sample and the University of British
 * Columbia
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * $Id: asn_null.h,v 1.1 1993/11/01 17:03:51 irsuprt Exp irsuprt $
 * $Log: asn_null.h,v $
 * Revision 1.1  1993/11/01  17:03:51  irsuprt
 * Initial revision
 *
 *
 */


#ifndef _asn_null_h_
#define _asn_null_h_

typedef char AsnNull;


AsnLen BEncAsnNull PROTO((BUF_TYPE b, AsnNull * data));

void BDecAsnNull 
PROTO((BUF_TYPE b, AsnNull * result, AsnLen * bytesDecoded,
       ENV_TYPE env));


/* 'return' length of encoded NULL value, 0 */
#define BEncAsnNullContent(b, data) 0

    void BDecAsnNullContent PROTO((BUF_TYPE b,
                                    AsnTag tag,
                                    AsnLen len,
                                    AsnNull * result,
                                    AsnLen * bytesDecoded,
                                    ENV_TYPE env));

/* do nothing */
#define FreeAsnNull(v)

    void PrintAsnNull PROTO((FILE * f, AsnNull * b, unsigned short int indent));
#endif                                /* conditional include */
