/*
 * asn_enum.h
 * 
 * MS 92 Copyright (C) 1992 Michael Sample and the University of British
 * Columbia
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * $Id: asn_enum.h,v 1.1 1993/11/01 17:03:51 irsuprt Exp irsuprt $
 * $Log: asn_enum.h,v $
 * Revision 1.1  1993/11/01  17:03:51  irsuprt
 * Initial revision
 *
 *
 */

#ifndef _asn_enum_h_
#define _asn_enum_h_

typedef AsnInt AsnEnum;

/*
 * ENUMERATED have a UNIVERSAL tag that is diff from INTEGERS so need diff
 * encoding routine tho content stuff is the same
 */
AsnLen BEncAsnEnum PROTO((BUF_TYPE b, AsnEnum * data));

void BDecAsnEnum 
PROTO((BUF_TYPE b, AsnEnum * result, AsnLen * bytesDecoded,
       ENV_TYPE env));

#define BEncAsnEnumContent BEncAsnIntContent

#define BDecAsnEnumContent BDecAsnIntContent

#define FreeAsnEnum FreeAsnInt

#define PrintAsnEnum PrintAsnInt
#endif                                /* conditional include */
